#
#   Grafico dell'accelerazione limite.
#   Copyright (C) 2017  Alessandro Accattini
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
#
##############################################################################
#
#
#


set terminal png size 900,480 x000000 xffffff

F_max(a_lim,N,pg)=sqrt(a_lim*N*pg/pi)




set grid x y

set key on
set key title "lines"
set key Left reverse samplen 1 box lw 1
set key width 1 height 1
set key right
set key bottom


set multiplot
set size 0.5,1
set origin 0.5,0.0


set samples 300

set xrange[10:200]
set yrange[100:400]

set xtics 20
set ytics 40

set xlabel "passi/giro"
set ylabel "fmax [step/s]"
set title "Accelerazione limite con N=512"

plot	F_max(10,512,x) with lines title "10 rad/s2" lw 3, \
	F_max(20,512,x) with lines title "20 rad/s2" lw 3, \
	F_max(30,512,x) with lines title "30 rad/s2" lw 3, \
	F_max(40,512,x) with lines title "40 rad/s2" lw 3, \
	F_max(50,512,x) with lines title "50 rad/s2" lw 3


set origin 0.0,0.0


set samples 300

set xrange[10:200]
set yrange[100:400]

set xtics 20
set ytics 40

set xlabel "passi/giro"
set ylabel "fmax [step/s]"
set title "Accelerazione limite con N=256"

plot	F_max(10,256,x) with lines title "10 rad/s2" lw 3, \
	F_max(20,256,x) with lines title "20 rad/s2" lw 3, \
	F_max(30,256,x) with lines title "30 rad/s2" lw 3, \
	F_max(40,256,x) with lines title "40 rad/s2" lw 3, \
	F_max(50,256,x) with lines title "50 rad/s2" lw 3


unset multiplot	


