/*
    Generatore della tabella dei coeficienti kn.
    Copyright (C) 2017  Alessandro Accattini

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


 *****************************************************************************
 *
 *
 * $Header$
 *
 *
 *
 * REVISION HISTORY:
 * $Log$
 *
 */


/***************************************************************************/
/* include vari */

#include <stdio.h>
#include <unistd.h>
#include <math.h>

/***************************************************************************/
/* define vari */

/***************************************************************************/
/* macro varie */

/***************************************************************************/
/* costanti */

static const char Licenza[]=
	"//kntable version 0.01, Copyright (C) 2017  Alessandro Accattini\n";
static const char Help[]=
	"Usage: kntable table_length\n"
	"generates the kn coefficients table.\n\n"
	"\t-h\tdisplays this help.\n"
	"\n";

/***************************************************************************/
/* strutture */

/***************************************************************************/
/* variabili */

/***************************************************************************/
/* prototipi funzioni */

/***************************************************************************/
/* funzioni */





/***************************************************************************/


int main(int argc, char **argv)
{
  double	k;			// kn
  int		Opzione;		// per la lettura delle opzioni
  int		N;			// totale di entry nella tabella
  int		n=1;			// indice n



  // visualizza la licenza del programma
  puts(Licenza);
  
  // legge le opzioni presenti sulla riga di comando
  while((Opzione=getopt(argc,argv,"h"))!=-1)
  {
    switch(Opzione)
    {
      case 'h':
        printf(Help);			// stampa l'help
	return 0;			// termina
      default:
        puts("Unknown option, use -h to see help.");
	return 0;			// termina
    }
  }
  
  // processa tutti gli atri parametri passati
//  for(;optind<argc;++optind)
//  {
//    printf("processing :%s \n",argv[optind]);
//  }
  if(optind >= argc)			// se sono finiti gli argomenti
  {
    printf(Help);			// stampa l'help
    return 0;				// termina
  }
  sscanf(argv[optind],"%i",&N);
  
  // output della tabella
  puts("const unsigned short int	Table[]={");
  printf("  0x0000,\t\t// %4i, %5i, %11.9lf\n",0,65536,1.0);
  while(--N)
  {
    k=sqrt((double)n + 1.0) - sqrt((double)n);
    printf("  0x%04x,\t\t// %4i, %5i, %11.9lf\n",
	   (int)((k*65536.0)+0.5),n,(int)((k*65536.0)+0.5),k);
    n++;
  }
  puts("};");
  return 0;					// termina
}

/* $Source$ */

