#
#   Confronta le rampe di accelerazione del motore.
#   Copyright (C) 2015 2017  Alessandro Accattini
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
#
##############################################################################
#
#
#


set terminal png size 640,480 x000000 xffffff

Omega(alfa,fck,c)=alfa*fck/c




set grid x y

set key on
set key title "lines"
set key Left reverse samplen 1 box lw 1
set key width 1 height 1
set key left
set key top

#set samples 300

set xrange[0:0.5]
set yrange[0:50]

set xtics 0.05
set ytics 5

set xlabel "Time [s]"
set ylabel "Speed [rad/s]"
set title "Accelerazione del motore passo-passo"

plot	"ramping_2.dat" using 2:(pi/12*40e3/$3) with steps axes x1y1 title "metodo 2" lw 2, \
	"ramping_3.dat" using 2:(pi/12*40e3/$3) with steps axes x1y1 title "metodo 3" lw 2, \
	100.0*x axes x1y1 title "ideale"


